Subject: bug#12287: closed (Re: bug#12287: 24.2.50; Identify g++ template instantiation trace)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 02 Feb 2013 06:19:03 +0000

Your bug report

#12287: 24.2.50; Identify g++ template instantiation trace

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12287: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12287
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12287: 24.2.50; Identify g++ template instantiation trace
From: Christopher Schmidt <[email-masked]>
To: [email-masked]
Date: Sat, 2 Feb 2013 06:17:02 +0000 (GMT)
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Monnier <[email-masked]> writes:
>> It would be great if someone applied my patch or got me green light
>> so I can apply it myself.  The patch implements a trivial change that
>> really improves compilation.
>
> Yes, go ahead.  And thank you.

Thank you very much.  Installed in trunk.

        Christopher

Subject: 24.2.50; Identify g++ template instantiation trace
From: Christopher Schmidt <[email-masked]>
To: [email-masked]
Date: Mon, 27 Aug 2012 15:16:41 +0100 (BST)
List-Id: <debbugs-submit.debbugs.gnu.org>

g++ might emit one of the following lines as part of an error messages:

    foo.hpp:1:4:   required from ‘FOO’
    bar.cpp:2:5:   required from here
    rms.hpp:3:6:   [ skipping EMACS instantiation contexts ]

Right now (GNU Emacs 24.2.50.3 (x86_64-unknown-linux-gnu, GTK+ Version
2.24.10) of 2012-08-26) these are picked up by
compilation-error-regexp-alist-alist as errors although these messages
just provide context to the real error.
=== modified file 'lisp/ChangeLog'
--- lisp/ChangeLog	2012-08-27 09:05:55 +0000
+++ lisp/ChangeLog	2012-08-27 13:58:09 +0000
@@ -1,3 +1,8 @@
+2012-08-27  Christopher Schmidt  <[email-masked]>
+
+	* progmodes/compile.el (compilation-error-regexp-alist-alist):
+	Identify g++ template instantiation trace (Bug#).
+
 2012-08-27  Drew Adams  <[email-masked]>
 
 	* dired.el (dired-pop-to-buffer): Make window start at beginning

=== modified file 'lisp/progmodes/compile.el'
--- lisp/progmodes/compile.el	2012-08-26 13:42:18 +0000
+++ lisp/progmodes/compile.el	2012-08-27 14:11:47 +0000
@@ -255,7 +255,8 @@
 \\([0-9]+\\)\\(?:[.:]\\([0-9]+\\)\\)?\
 \\(?:-\\([0-9]+\\)?\\(?:\\.\\([0-9]+\\)\\)?\\)?:\
 \\(?: *\\(\\(?:Future\\|Runtime\\)?[Ww]arning\\|W:\\)\\|\
- *\\([Ii]nfo\\(?:\\>\\|rmationa?l?\\)\\|I:\\|instantiated from\\|[Nn]ote\\)\\|\
+ *\\([Ii]nfo\\(?:\\>\\|rmationa?l?\\)\\|I:\\|\\[ skipping .+ \\]\\|\
+\\(?:instantiated\\|required\\) from\\|[Nn]ote\\)\\|\
  *[Ee]rror\\|\[0-9]?\\(?:[^0-9\n]\\|$\\)\\|[0-9][0-9][0-9]\\)"
      1 (2 . 4) (3 . 5) (6 . 7))

        Christopher